Subject: Re: [git-multimail] License unknown (#1)

From: Michael Haggerty <[email-masked]>
Date: Wed, 13 Feb 2013 13:10:26 +0100

On 02/12/2013 04:28 PM, Andy Parkins wrote:
> On Sunday 27 January 2013 18:52:58 Michael Haggerty wrote:
>> I have a question about the license of contrib/hooks/post-commit-email.
>> [...]
> 
> Keeping up with the git mailing list got a bit much, [...]

Very understandable :-)

> My apologies to everyone; I've been lax supporting the script -- I never 
> really expected it to be as widely used as it has been, I was always expecting 
> someone would come along and replace it so I'm pleased that Michael has done 
> so (although it's a little disheartening to read of it being called "hacky", 
> when I tried very hard to make it as clear and modular as I could).

FWIW I think the script was quite well-structured (within the
limitations of shell scripting anyway) and I had no problem
understanding it and translating it to Python.

>> If somebody can explain what license the code is under and how they come
>> to that conclusion, I would be very grateful.
>>
>> And if Andy Parkins (the original author) is listening, please indicate
>> whether you had any intent *other* than GPLv2.
> 
> I intended it to be under the same license as Git.  I had read in one of the 
> patch submission files (which I can't seem to find now) that all submissions 
> were considered part of git.

Thanks.  Given that you submitted the original version under GPLv2, and
later contributors certainly had no reason to assume any *other*
license, I think any reasonable person will be satisfied that the whole
script in its current form is under GPLv2.

> If an explicit declaration is needed, I am happy to give it.  Let me know what 
> form this should take and I'll supply it.

Personally, I am satisfied by your email statement.  I will leave the
derived work, git-multimail, also under GPLv2.  Assuming that
git-multimail supersedes yours, its explicit choice of license will make
the situation clear for future users.

Thanks!
Michael

-- 
Michael Haggerty
[email-masked]
http://softwareswirl.blogspot.com/